import { line, curveNatural, area } from 'd3';
export const Marks = function ({
  data,
  xScale,
  yScale,
  selectedSex,
  sexColorScale,
  sexColorValue,
  yValue,
  selected_age_group,
  tooltipFormat,
  circleRadius,
  hoveredValue
 }) {
  let suicideX = [];
  let alcoholX = [];
  let firearmX = [];
  let yearY = [];
  let newDatas = [];
  data.forEach(function(d) {
    if (d.Region === 'Total' && d.RaceorEthnicity === 'Total' && d.Sex === 'Total' && d.AgeGroup === 'Total') {
    	//console.log(d);
      suicideX.push(d.SuicideDeaths);
      alcoholX.push(d.AlcoholRelatedDeaths);
      firearmX.push(d.FirearmDeaths);
      yearY.push(d.Year);
      let newData = {SuicideDeaths: d.SuicideDeaths, AlcoholRelatedDeaths: d.AlcoholRelatedDeaths, FirearmDeaths: d.FirearmDeaths, TotalDeaths: d.TotalDeaths, Year: d.Year};
      newDatas.push(newData);
          
    }
  });
  //console.log(data);
  console.log(hoveredValue);
  console.log(hoveredValue === "Alcohol");
  
  return (<g className="marks">
      
    <path
      opacity={hoveredValue && hoveredValue !== "Alcohol" ? 0.1 : 1}
      fill="#4444FF"
      stroke="blue"
      d={area()
        .x(d => xScale(d.Year))
        .y0(d => yScale(d.SuicideDeaths + d.FirearmDeaths))
        .y1(d => yScale(d.AlcoholRelatedDeaths + d.SuicideDeaths + d.FirearmDeaths))
        .curve(curveNatural)(newDatas)}
    />
    <path
      opacity={hoveredValue && hoveredValue !== "Suicide" ? 0.1 : 1}
      fill="#FF4444"
      stroke="red"
      d={area()
        .x(d => xScale(d.Year))
        .y0(d => yScale(d.FirearmDeaths))
        .y1(d => yScale(d.SuicideDeaths + d.FirearmDeaths))
        .curve(curveNatural)(newDatas)}
    />
    <path      
      opacity={hoveredValue && hoveredValue !== "Firearm" ? 0.1 : 1}
      fill="#44FF44"
      stroke="green"
      d={area()
        .x(d => xScale(d.Year))
        .y0(yScale(0))
        .y1(d => yScale(d.FirearmDeaths))
        .curve(curveNatural)(newDatas)}
    />
  </g>)

};